## org.eclipse.emf.ocl.types.impl
Class OrderedSetTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EClassifierImpl
                                  org.eclipse.emf.ecore.impl.EDataTypeImpl
                                      org.eclipse.emf.ocl.types.impl.CollectionTypeImpl
                                          org.eclipse.emf.ocl.types.impl.OrderedSetTypeImpl

All Implemented Interfaces:
  Notifier, EClassifier, EDataType, EModelElement, ENamedElement, EObject, InternalEObject, BasicExtendedMetaData.EClassifierExtendedMetaData.Holder, CollectionType, OrderedSetType, ASTNode, PredefinedType, TypedASTNode

    public class OrderedSetTypeImpl

extends CollectionTypeImpl
implements OrderedSetType

An implementation of the model object 'Ordered Set Type'.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`static String` `copyright`

Fields inherited from class org.eclipse.emf.ocl.types.impl.CollectionTypeImpl
`elementType, END_POSITION_EDEFAULT, endPosition, KIND_EDEFAULT, OCL_BAG, OCL_COLLECTION, OCL_ORDERED_SET, OCL_SEQUENCE, OCL_SET, START_POSITION_EDEFAULT, startPosition, TYPE_END_POSITION_EDEFAULT, TYPE_START_POSITION_EDEFAULT, typeEndPosition, typeStartPosition`

Fields inherited from class org.eclipse.emf.ecore.impl.EDataTypeImpl
`defaultValue, defaultValueIsSet, SERIALIZABLE_EDEFAULT, SERIALIZABLE_EFLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl
`DEFAULT_VALUE_EDEFAULT, eClassifierExtendedMetaData, eTypeParameters, generatedInstanceClassName, INSTANCE_CLASS_EDEFAULT, INSTANCE_CLASS_NAME_EDEFAULT, instanceClass, instanceClassName, instanceTypeName, metaObjectID`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ocl.utilities.PredefinedType

`ABS, ABS_NAME, ALL_INSTANCES, ALL_INSTANCES_NAME, AND, AND_NAME, ANY, ANY_NAME, APPEND, APPEND_NAME, AS_BAG, AS_BAG_NAME, AS_ORDERED_SET, AS_ORDERED_SET_NAME, AS_SEQUENCE, AS_SEQUENCE_NAME, AS_SET, AS_SET_NAME, AT, AT_NAME, CLOSURE, CLOSURE_NAME, COLLECT, COLLECT_NAME, COLLECT_NESTED, COLLECT_NESTED_NAME, CONCAT, CONCAT_NAME, COUNT, COUNT_NAME, DIV, DIV_NAME, DIVIDE, DIVIDE_NAME, EQUAL, EQUAL_NAME, EXCLUDES, EXCLUDES_ALL, EXCLUDES_ALL_NAME, EXCLUDES_NAME, EXCLUDING, EXCLUDING_NAME, EXISTS, EXISTS_NAME, FIRST, FIRST_NAME, FLATTEN, FLATTEN_NAME, FLOOR, FLOOR_NAME, FOR_ALL, FOR_ALL_NAME, GREATER_THAN, GREATER_THAN_EQUAL, GREATER_THAN_EQUAL_NAME, GREATER_THAN_NAME, HAS_RETURNED, HAS_RETURNED_NAME, IMPLIES, IMPLIES_NAME, INCLUDES, INCLUDES_ALL, INCLUDES_ALL_NAME, INCLUDES_NAME, INCLUDING, INCLUDING_NAME, INDEX_OF, INDEX_OF_NAME, INSERT_AT, INSERT_AT_NAME, INTERSECTION, INTERSECTION_NAME, IS_EMPTY, IS_EMPTY_NAME, IS_OPERATION_CALL, IS_OPERATION_CALL_NAME, IS_SIGNAL_SENT, IS_SIGNAL_SENT_NAME, IS_UNIQUE, IS_UNIQUE_NAME, LAST, LAST_NAME, LESS_THAN, LESS_THAN_EQUAL, LESS_THAN_EQUAL_NAME, LESS_THAN_NAME, MAX, MAX_NAME, MIN, MIN_NAME, MINUS, MINUS_NAME, MOD, MOD_NAME, NOT, NOT_EMPTY, NOT_EMPTY_NAME, NOT_EQUAL, NOT_EQUAL_NAME, NOT_NAME, OCL_AS_TYPE, OCL_AS_TYPE_NAME, OCL_IS_IN_STATE, OCL_IS_IN_STATE_NAME, OCL_IS_INVALID, OCL_IS_INVALID_NAME, OCL_IS_KIND_OF, OCL_IS_KIND_OF_NAME, OCL_IS_NEW, OCL_IS_NEW_NAME, OCL_IS_TYPE_OF, OCL_IS_TYPE_OF_NAME, OCL_IS_UNDEFINED, OCL_IS_UNDEFINED_NAME, ONE, ONE_NAME, OR, OR_NAME, PLUS, PLUS_NAME, PREPEND, PREPEND_NAME, PRODUCT, PRODUCT_NAME, REJECT, REJECT_NAME, RELATED_TYPE, RESULT, RESULT_NAME, ROUND, ROUND_NAME, SAME_TYPE, SELECT, SELECT_NAME, SIZE, SIZE_NAME, SORTED_BY, SORTED_BY_NAME, STRICT_SUBTYPE, STRICT_SUPERTYPE, SUB_ORDERED_SET, SUB_ORDERED_SET_NAME, SUB_SEQUENCE, SUB_SEQUENCE_NAME, SUBSTRING, SUBSTRING_NAME, SUBTYPE, SUM, SUM_NAME, SUPERTYPE, SYMMETRIC_DIFFERENCE, SYMMETRIC_DIFFERENCE_NAME, TIMES, TIMES_NAME, TO_INTEGER, TO_INTEGER_NAME, TO_LOWER, TO_LOWER_NAME, TO_REAL, TO_REAL_NAME, TO_UPPER, TO_UPPER_NAME, UNION, UNION_NAME, UNRELATED_TYPE, XOR, XOR_NAME`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `OrderedSetTypeImpl()`
`protected` `OrderedSetTypeImpl(EClassifier elementType)`

Method Summary
`protected static EList` `createOperations()`
`protected EClass` `eStaticClass()`
`EList` `getIterators()`
`CollectionKind` `getKind()`
`String` `getName()`
`EList` `getOperations()` Get the list of operations supported by OCL Collection Types
`EClassifier` `getResultTypeFor(EClassifier ownerType, int opcode, EList args)` Return result type of operation based on the sourceType and args.
`void` `setElementType(EClassifier newElementType)` Extends the superclass implementation to propagate the element type to my Set supertype.

Methods inherited from class org.eclipse.emf.ocl.types.impl.CollectionTypeImpl

`append, asBag, asOrderedSet, asSequence, asSet, at, basicGetElementType, commonSuperType, count, createIterators, createNewBag, createNewBag, createNewOrderedSet, createNewOrderedSet, createNewSequence, createNewSequence, createNewSet, createNewSet, eBaseStructuralFeatureID, eDerivedStructuralFeatureID, eGet, eIsSet, equals, eSet, eUnset, excludes, excludesAll, excluding, first, flatten, getCommonSupertype, getElementType, getEndPosition, getOperationCodeFor, getOperationNameFor, getRelationship, getRelationshipTo, getStartPosition, getTypeEndPosition, getTypeStartPosition, hashCode, includes, includesAll, including, indexOf, insertAt, intersection, isEmpty, last, minus, notEmpty, prepend, product, setEndPosition, setStartPosition, setTypeEndPosition, setTypeStartPosition, size, subOrderedSet, subSequence, sum, symmetricDifference, toString, union`

Methods inherited from class org.eclipse.emf.ecore.impl.EDataTypeImpl
`getDefaultValue, isSerializable, setDataTypeGeneratedInstanceClass, setGeneratedInstanceClass, setInstanceClassGen, setSerializable`

Methods inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl

`basicGetEPackage, basicSetInstanceClassName, basicSetInstanceTypeName, dynamicIsInstance, eBasicRemoveFromContainerFeature, eBasicSetContainer, eInverseAdd, eInverseRemove, getClassForName, getClassifierID, getEPackage, getEPackageGen, getETypeParameters, getExtendedMetaData, getInstanceClass, getInstanceClassGen, getInstanceClassName, getInstanceClassNameGen, getInstanceTypeName, getPrimitiveOrArrayClass, isInstance, isSetInstanceClassName, isSetInstanceTypeName, setClassifierID, setExtendedMetaData, setInstanceClass, setInstanceClassName, setInstanceClassNameGen, setInstanceTypeName, setName, unsetInstanceClassName, unsetInstanceTypeName`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getNameGen`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ocl.types.CollectionType
`getElementType`

Methods inherited from interface org.eclipse.emf.ecore.EDataType
`isSerializable, setSerializable`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.TypedASTNode
`getTypeEndPosition, getTypeStartPosition, setTypeEndPosition, setTypeStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.PredefinedType
`getCommonSupertype, getOperationCodeFor, getOperationNameFor, getRelationshipTo`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### copyright

    public static final String copyright

  See Also:
    Constant Field Values

Constructor Detail

### OrderedSetTypeImpl

    protected OrderedSetTypeImpl()

### OrderedSetTypeImpl

    protected OrderedSetTypeImpl(EClassifier elementType)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `ENamedElement`
  Overrides:
    `getName` in class `CollectionTypeImpl`

### getKind

    public CollectionKind getKind()

  Specified by:
    `getKind` in interface `CollectionType`
  Overrides:
    `getKind` in class `CollectionTypeImpl`
  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `CollectionKind`, `TypesPackage.getCollectionType_Kind()`

### setElementType

    public void setElementType(EClassifier newElementType)

  Extends the superclass implementation to propagate the element type to my Set supertype.

  Specified by:
    `setElementType` in interface `CollectionType`
  Overrides:
    `setElementType` in class `CollectionTypeImpl`
  Parameters:
    `newElementType` - the new value of the 'Element Type' reference.
  See Also:
    `CollectionType.getElementType()`

### getResultTypeFor

    public EClassifier getResultTypeFor(EClassifier ownerType,
                                        int opcode,
                                        EList args)
                                 throws SemanticException

  Return result type of operation based on the sourceType and args. Conformance rules are applied. It is assumed that operation signature is already checked by the time this method is called.

  Specified by:
    `getResultTypeFor` in interface `PredefinedType`
  Overrides:
    `getResultTypeFor` in class `CollectionTypeImpl`
  Parameters:
    `opcode` -
    `args` -
  Returns:
    the result type
  Throws:
    `SemanticException`

### createOperations

    protected static EList createOperations()

### getOperations

    public EList getOperations()

  Description copied from interface: `CollectionType`
  Get the list of operations supported by OCL Collection Types

  Specified by:
    `getOperations` in interface `CollectionType`
  Specified by:
    `getOperations` in interface `PredefinedType`
  Overrides:
    `getOperations` in class `CollectionTypeImpl`
  Returns:
    the operations

### getIterators

    public EList getIterators()

  Overrides:
    `getIterators` in class `CollectionTypeImpl`

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `CollectionTypeImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.